##############################################################################
#
# Permanent name: is required by Glue to set the permanent name and extension
# of the geode. The permanent name of a library is what goes in the imported
# library table of a client geode (along with the protocol number). It is also
# what Swat uses to name the patient.
#
name client.app
#
# Long filename: this name can displayed by GeoManager. "EC " is prepended to
# this when the error-checking version is linked by Glue.
#
longname "IACP Client App"
#
# Specify geode type: is an application, and will have its own thread started
# for it by the kernel.
#
type    appl, process, single
#
# Specify class name for application thread. Messages sent to the application
# thread (aka "process" when specified as the output of a UI object) will be
# handled by the ClientProcessClass, which is defined in client.goc.
#
class   ClientProcessClass
#
# Specify application object. This is the object that serves as the top-level
# UI object in the application.
#
appobj  ClientApp
#
# Token: this four-letter+integer name is used by GeoManager to locate the icon
# for this application in the token database.
#
tokenchars "CLNT"
tokenid 0
#
# Libraries: list which libraries are used by the application.
#
#platform zoomer This application is not being designed for the zoomer as
#                it is much easier to use under the desktop simulation
library geos
library ui
library ansic
#
# Resources: list all resource blocks which are used by the application whose
# allocation flags can't be inferred by Glue. Usually this is needed only for
# object blocks, fixed code resources, or data resources that are read-only.
# Standard discardable code resources do not need to be mentioned.
#
resource APPRESOURCE object
resource INTERFACE object

