##############################################################################
#
#	Copyright (c) Geoworks 1994 -- All Rights Reserved
#
# PROJECT:	Sample GEOS Applications
# MODULE:	VText
# FILE:		vtext.gp
#
# AUTHOR:	Tony Requist, Jan 19, 1994
#
# DESCRIPTION:	This file contains Geode definitions for the "VText" sample
#		application. This file is read by the Glue linker to
#		build this application.
#
# RCS STAMP:
#	$Id: vtext.gp,v 1.1.1.2 94/02/11 19:18:37 jenny Exp $
#
##############################################################################
#
# Permanent name: is required by Glue to set the permanent name and extension
# of the geode. The permanent name of a library is what goes in the imported
# library table of a client geode (along with the protocol number). It is also
# what Swat uses to name the patient.
#
name vtext.app
#
# Long filename: this name can displayed by GeoManager. "EC " is prepended to
# this when the error-checking version is linked by Glue.
#
longname "VText App"
#
# Specify geode type: is an application, and will have its own thread started
# for it by the kernel.
#
type    appl, process, single
#
# Specify class name for application thread. Messages sent to the application
# thread (aka "process" when specified as the output of a UI object) will be
# handled by the VTextProcessClass, which is defined in vtext.goc.
#
class   VTextProcessClass
#
# Specify application object. This is the object that serves as the top-level
# UI object in the application. See cis.goc.
#
appobj  VTextApp
#
# Token: this four-letter+integer name is used by GeoManager to locate the icon
# for this application in the token database.
#
tokenchars "SAMP"
tokenid 8
#
heapspace 2931
#
# Libraries: list which libraries are used by the application.
#
library geos
library ui
library ansic
library text
#
# Resources: list all resource blocks which are used by the application whose
# allocation flags can't be inferred by Glue. Usually this is needed only for
# object blocks, fixed code resources, or data resources that are read-only.
# Standard discardable code resources do not need to be mentioned.
#
resource APPRESOURCE object
resource INTERFACE object
resource DIALOGRESOURCE object

export VLTContentClass
export VLTTextClass
