COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1992 -- All Rights Reserved

PROJECT:	PC GEOS Sound Library
MODULE:		Standard Sound Driver
FILE:		manager.asm

AUTHOR:		Todd Stumpf, Aug 18, 1992

	
REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	TS	8/18/92		Initial revision


DESCRIPTION:
	The Standard Sound Driver contains all the routines necessary
	to use the sound systems that come standard with the base PC.
	This includes IBM's standard 1 voice PC speaker, the sound chip
	on the TANDY IBM clones and the CASIO chip for the palmtop zoomer.

        Also included is a version of the driver for the standard PC speaker
	to run under faster computers.  It interupts the PC speaker repeatedly
	changing sounds quick enough so that the user hears multiple sounds
	over the lowly PC speaker.  This is a seperate driver as it would
	unduly drag down a system which does not have enough CPU power to
	handle such frequent interupts.
		

	$Id: manager.asm,v 1.6.12.1 93/05/11 05:43:54 steve Exp $

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@

;-----------------------------------------------------------------------------
;		Include Files
;-----------------------------------------------------------------------------

include	geos.def
include	geode.def
include	resource.def
include	ec.def
include	driver.def
include	timer.def
include	heap.def

include	Internal/interrup.def

include	pcchips.def
include constant.def

UseLib	sound.def

DefDriver Internal/soundDrv.def

;-----------------------------------------------------------------------------
;		Source files for driver
;-----------------------------------------------------------------------------

	.ioenable

include	strategy.asm
include	pcCode.asm













