/*

NOKIA MOBILE PHONES                                      

R&D Tampere

Responder/Daphne/MCUSW/UI



























                    External Control Interface (OEM)

                    --------------------------------



                         SW Include Document











Filename:       ECI_OEM.H



Library:	DAPHNE_MCUSW_WORK_CMS



Document code:	-



Copyright (c) 1994-1995. Nokia Mobile Phones





Change History:

VERSION      STATUS           DATE               AUTHOR

V 8.0        PROPOSAL         06.03.95           TS

REASON     : Improvement

DERERENCE  : DAPHNE Impl. Review 10

DESCRIPTION: Added some defines for ECI SMS functions:

             ECI_SMS_PP_DATA_RECEIVED

             ECI_SMS_PP_RECEIVE_RESPONSE

             ECI_SMS_CB_DATA_RECEIVED

             ECI_SMS_STORAGE_AVAILABLE

             ECI_SMS_DATA_STORED

             ECI_SMS_DATA_SEND

             ECI_SMS_DATA_SEND_RESPONSE

             ECI_SMS_MEM_RU_STATUS_GET

             ECI_SMS_MEM_RU_STATUS_RESP

             ECI_SMS_MEM_AD_STATUS_GET

             ECI_SMS_MEM_AD_STATUS_RESP

             ECI_SMS_DATA_READ

             ECI_SMS_DATA_READ_STATUS

             ECI_SMS_DATA_WRITE

             ECI_SMS_DATA_WRITE_STATUS

             ECI_SMS_FREE_LOC_GET 

             ECI_SMS_FREE_LOC_RESP

             ECI_SMS_DATA_REMOVE

             ECI_SMS_DATA_REMOVE_RESP



V7.0         DRAFT            10.02.95           MiT

REASON     : Improvement

REFERENCE  : -

DESCRIPTION: Added DDI-specific causes to eci_call_(release/terminate)_status:

             ECI_CAUSE_TERMINAL_NOT_READY

	     ECI_CAUSE_INCOMPATIBLE_PARAMETERS

	     ECI_CAUSE_DEVICE_FAILURE



V6.0         PROPOSAL         06.02.95           RRK

REASON     : Improvement

DEFERENCE  : DAPHNE Impl 8.

DESCRIPTION: Following functions added:

               ECI_AUTO_POWER_OFF_TIME_GET

               ECI_AUTO_POWER_OFF_TIME_SET

               ECI_A_PO_OFF_TIME_STATUS

               ECI_CHARGE_WARNING

               ECI_MODE_CHARGER_ON

               ECI_MODE_CHARGER_OFF

               ECI_RU_POWER_ON

               ECI_RU_POWER_OFF

               ECI_RU_POWER_STATUS

               ECI_KEYPAD_TONE_VOLUME_GET

               ECI_KEYPAD_TONE_VOLUME_SET

               ECI_KEYPAD_TONE_VOL_STATUS

               ECI_RINGING_VOLUME_GET

               ECI_RINGING_VOLUME_SET

               ECI_RINGING_VOLUME_STATUS

               ECI_RINGING_OPTIONS_GET

               ECI_RINGING_OPTIONS_SET

               ECI_RINGING_OPTIONS_STATUS

               ECI_AUDIO_EAR_VOLUME_GET

               ECI_AUDIO_EAR_VOLUME_SET

               ECI_AUDIO_EAR_VOLUME_STATUS

               ECI_MIC_MUTE_SET

               ECI_MIC_MUTE_STATUS

               ECI_EMERGENCY_NUMBER_CHECK

               ECI_EMERGENCY_NUMBER_STATUS



V5.0         ACCEPTED         03.02.95           MiT

REASON     : Improvement

REFERENCE  : Daphne implementation review no 9

DESCRIPTION: ECI call handling functionality added.



V4.0         PROPOSAL         24.01.95           TS

REASON     : Error correction

REFERENCE  : - 

DESCRIPTION: Incorrect extra set of function ID's removed.



V3.0         PROPOSAL         23.01.95           RRK

REASON     : Improvement

DEFERENCE  : DAPHNE Impl 7.

DESCRIPTION: Following functions added:

             eci_charge_level_get, eci_charge_level,

             eci_rf_level_get, eci_rf_level,

             eci_one_touch_dial_get,

             eci_one_touch_dial_set,

             eci_one_touch_dial_status

             eci_language_get,   eci_language_set, eci_language_status,

             eci_warning_tone_state_get,

             eci_warning_tone_state_set,

             eci_warn_tone_status,

             eci_ringing_tone_get,

             eci_ringing_tone_set,

             eci_ringing_tone_status.

             Version numbering corrected.



V 1.0        PROPOSAL         19.01.95           TS

REASON     : ECI spec update

REFERENCE  : DAPHNE_MCUSW_SPEC_CMS/ECI_IF_SPEC.TXT

DESCRIPTION: New version of function ID's and structures updated.



V0.0         proposal         14.11.94           Timo Suhonen (nmptre::ts)

REASON     : -

DEFERENCE  : -

DESCRIPTION: Original 



-----------------------------------------------------------------------------

*/





#ifndef ECI_OEM_H

#define ECI_OEM_H



/* CONSTANTS  */



/* defines for ECI function parameters: */



#define    ECI_SS_NF_REMOTE_HOLD		       1

#define    ECI_SS_NF_REMOTE_RETRIEVE		       2

#define    ECI_SS_NF_REMOTE_BUILD_CONF		       3

#define    ECI_SS_NF_REMOTE_SPLIT_CONF		       4



#define    ECI_FUNCTION_NOT_SUPPORTED                  0

#define    ECI_FUNCTION_SUPPORTED                      1

#define    ECI_FUNCTION_RESERVED                       2



#define    ECI_FUNCTION_OFF                            0

#define    ECI_FUNCTION_ON                             1

#define    ECI_FUNCTION_ACTIVE_ONCE                    2



/* eci_sms... */

#define    ECI_SMS_MEM_SIM                             1

#define    ECI_SMS_MEM_PHONE                           0

#define    ECI_SMS_MEM_FULL                            2

#define    ECI_SMS_NO_STORAGE_CAPACITY                 3

#define    ECI_SMS_MEM_AVAIL                           4

#define    ECI_INVALID_LOCATION                        5



/* eci_sms... */

#define    ECI_SMS_ADDRESS_FORMAT_ASCIIZ               0

#define    ECI_SMS_ADDRESS_FORMAT_0340                 1



#define    ECI_FAIL                                    0

#define    ECI_OK                                      1

#define    ECI_BUSY                                    2



#define    ECI_OFF                                     0

#define    ECI_ON                                      1



/* eci_call_create, eci_call_create_status: field call_mode */

#define     ECI_CALL_MODE_SPEECH                       1

#define     ECI_CALL_MODE_DATA                         2

#define     ECI_CALL_MODE_FAX                          3

#define     ECI_CALL_MODE_SPEECH_DATA                  4

#define     ECI_CALL_MODE_DATA_SPEECH                  5

#define     ECI_CALL_MODE_THEFT_ALARM                  6

#define     ECI_CALL_MODE_EMERGENCY                    7



/* eci_call_release_status, eci_call_terminate_status: field reason_type */

/* eci_sms_data_send_response */

#define     ECI_CAUSE_TYPE_MCU                         1

#define     ECI_CAUSE_TYPE_GSM                         2



/* eci_call_release_status, eci_call_terminate_status: field reason */

/* eci_sms_data_send_response */

#define     ECI_CAUSE_OK                               1

#define     ECI_CAUSE_UNSUP_CALL_MODE                  2

#define     ECI_CAUSE_CALL_ACTIVE                      3

#define     ECI_CAUSE_PIN_REQUIRED                     4

#define     ECI_CAUSE_PUK_REQUIRED                     5

#define     ECI_CAUSE_SIM_REJECTED                     6

#define     ECI_CAUSE_NO_SIM                           7

#define     ECI_CAUSE_NUMBER_DELAYED                   8

#define     ECI_CAUSE_NUMBER_BLACKLISTED               9

#define     ECI_CAUSE_WRONG_TERMINAL_TYPE              10

#define     ECI_CAUSE_INVALID_NUMBER                   11

#define     ECI_CAUSE_UI_FAILURE                       12

#define     ECI_CAUSE_WRONG_CALL_ID                    13

#define     ECI_CAUSE_INVALID_FDN                      14

#define     ECI_CAUSE_COST_LIMIT_EXCEEDED              15

#define     ECI_CAUSE_PHONE_NUMBER_TOO_LONG            16

#define     ECI_CAUSE_RF_POWER_OFF                     17

#define     ECI_CAUSE_TERMINAL_NOT_READY               18

#define     ECI_CAUSE_INCOMPATIBLE_PARAMETERS          19

#define     ECI_CAUSE_DEVICE_FAILURE                   20



#define ECI_TEXT_ENGLISH                 0

#define ECI_TEXT_GERMAN                  1

#define ECI_TEXT_FRENCH                  2

#define ECI_TEXT_SPANISH                 3

#define ECI_TEXT_ITALIAN                 4

#define ECI_TEXT_PORTUGUESE              5

#define ECI_TEXT_DUTCH                   6

#define ECI_TEXT_DANISH                  7

#define ECI_TEXT_SWEDISH                 8

#define ECI_TEXT_FINNISH                 9

#define ECI_TEXT_NORWAY                  10

#define ECI_TEXT_JAPANESE                11

#define ECI_TEXT_GREEK                   12

#define ECI_TEXT_TURKEY                  13

#define ECI_TEXT_HUNGARY                 14

#define ECI_TEXT_UNKNOWN                 255



/* eci_charge_warnig: field level*/

#define ECI_BATTERY_LOW_WARNING         1     /* UI_* */

#define ECI_RECHARGE_BATTERY_WARNING    2

#define ECI_BATTERY_FULL_WARNING        3

#define ECI_DISCHARGE_BATTERY_WARNING   4



/* eci_ringing_options_status: field ringing_type */

#define ECI_RINGING_OPTION_RING      1

#define ECI_RINGING_OPTION_BEEP      2

#define ECI_RINGING_OPTION_SILENT    4

#define ECI_RINGING_OPTION_UNKNOWN   255







/* ECI_IF_SPEC.TXT, Version  16 - 0 */

#define    ECI_FUNCTION_SUPPORT_GET                    1002   	

#define    ECI_FUNCTION_SUPPORT_SET                    1003   

#define    ECI_FUNCTION_SUPPORT_STATUS                 1004

#define    ECI_CALL_CREATE                             2003

#define    ECI_CALL_CREATE_STATUS                      2004

#define    ECI_CALL_REMOTE_ALERTING                    2005

#define    ECI_CALL_REMOTE_ANSWERED                    2006

#define    ECI_CALL_HOLD                               2007

#define    ECI_CALL_HOLD_STATUS                        2008

#define    ECI_CALL_RETRIEVE_HELD                      2009

#define    ECI_CALL_RETR_HELD_STATUS                   2010

#define    ECI_CALL_COMING                             2011

#define    ECI_CALL_ANSWER                             2012

#define    ECI_CALL_LOCALLY_ANSWERED                   2013

#define    ECI_CALL_RELEASE                            2014

#define    ECI_CALL_RELEASE_STATUS                     2015

#define    ECI_CALL_TERMINATE_STATUS                   2016

#define    ECI_CALL_SWAP                               2020

#define    ECI_CALL_SWAP_STATUS                        2021

#define    ECI_CALL_BUILD_CONFERENCE                   2022

#define    ECI_CALL_BUILD_CONF_STATUS                  2023

#define    ECI_CALL_SPLIT_CONFERENCE                   2024

#define    ECI_CALL_SPLIT_CONF_STATUS                  2025

#define    ECI_CALL_SS_NOTIFICATION                    2030     

#define    ECI_SERV_STATUS                             3001

#define    ECI_ROAM_STATUS                             3002

#define    ECI_RU_POWER_ON                             3010

#define    ECI_RU_POWER_OFF                            3011

#define    ECI_RU_POWER_STATUS                         3012

#define    ECI_TEXT                                    3020   

#define    ECI_TEXT_STATUS                             3021   

#define    ECI_AUTO_POWER_OFF_TIME_GET                 3040

#define    ECI_AUTO_POWER_OFF_TIME_SET                 3041

#define    ECI_A_PO_OFF_TIME_STATUS                    3042

#define    ECI_ONE_TOUCH_DIAL_GET                      3050

#define    ECI_ONE_TOUCH_DIAL_SET                      3051

#define    ECI_ONE_TOUCH_DIAL_STATUS                   3052

#define    ECI_LANGUAGE_GET                            3060

#define    ECI_LANGUAGE_SET                            3061

#define    ECI_LANGUAGE_STATUS                         3062

#define    ECI_SS_DIVERT                               4001   

#define    ECI_SS_DIVERT_INQUIRY                       4002   

#define    ECI_SS_DIVERT_DEACTIVE                      4003   

#define    ECI_SS_DIVERT_STATUS                        4004   

#define    ECI_SS_DIVERT_REQ_CANCEL                    4005   

#define    ECI_SS_ACTIVATE_BARRING                     4010   

#define    ECI_SS_DEACTIVATE_BARRING                   4011   

#define    ECI_SS_INTERROGATE_BARRING                  4012   

#define    ECI_SS_BARRING_STATUS                       4013   

#define    ECI_SS_CANCEL_BARRING_REQ                   4014   

#define    ECI_NETWORK_SET                             4040   

#define    ECI_NETWORK_SET_STATUS                      4041   

#define    ECI_NETWORK_LIST_GET                        4042   

#define    ECI_NETWORK_LIST                            4043   

#define    ECI_SET_NETWORK_SEL_MODE                    4044   

#define    ECI_NETWORK_SEL_MODE_STATUS                 4045   

#define    ECI_SS_ACTIVATE_WAITING                     4050   

#define    ECI_SS_DEACTIVATE_WAITING                   4051   

#define    ECI_SS_INTERROGATE_WAITING                  4052   

#define    ECI_SS_WAITING_STATUS                       4053   

#define    ECI_SS_WAITING_REQ_CANCEL                   4054   

#define    ECI_CALL_TIMERS_GET                         5001   

#define    ECI_CALL_TIMERS                             5002   

#define    ECI_CURRENT_CALL_TIMER                      5003   

#define    ECI_CLEAR_CALL_TIMER                        5004   

#define    ECI_CLEAR_CALL_TIMER_STATUS                 5005   

#define    ECI_COST_LIMIT_GET                          5010   

#define    ECI_COST_LIMIT_SET                          5011   

#define    ECI_COST_LIMIT_STATUS                       5012   

#define    ECI_COST_LAST_CALL_GET                      5013   

#define    ECI_COST_LAST_CALL_STATUS                   5014   

#define    ECI_COST_ALL_CALLS_GET                      5015   

#define    ECI_COST_ALL_CALLS_RESPONSE                 5016   

#define    ECI_COST_CURRENT_CALL                       5017   

#define    ECI_SCM_INQUIRE_BUFF_LEN                    6004   

#define    ECI_SCM_INQUIRE_LEN_READY                   6005   

#define    ECI_SCM_READ_RECORD                         6006   

#define    ECI_SCM_READ_RECORD_READY                   6007   

#define    ECI_SCM_WRITE_RECORD                        6008   

#define    ECI_SCM_WRITE_RECORD_READY                  6009   

#define    ECI_SCM_NAME_SEARCH_NEXT                    6010   

#define    ECI_SCM_NAME_SEARCH_NEXT_READY              6011   

#define    ECI_SCM_NAME_SEARCH_PREV                    6012   

#define    ECI_SCM_NAME_PREV_READY                     6013   

#define    ECI_SCM_NBR_SEARCH_NEXT                     6014   

#define    ECI_SCM_NBR_NEXT_READY                      6015   

#define    ECI_SCM_NBR_SEARCH_PREV                     6016   

#define    ECI_SCM_NBR_PREV_READY                      6017   

#define    ECI_OWN_NUMBER_GET                          6030   

#define    ECI_OWN_NUMBER_RESPONSE                     6031   

#define    ECI_PLAY_FIXED_TONE                         7001   

#define    ECI_PLAY_TONE                               7002   

#define    ECI_AUDIO_EAR_VOLUME_GET                    7010

#define    ECI_AUDIO_EAR_VOLUME_SET                    7011

#define    ECI_AUDIO_EAR_VOLUME_STATUS                 7012

#define    ECI_EXTERNAL_AUDIO_PATH_SET                 7020   

#define    ECI_EXTERNAL_AUDIO_PATH_STATUS              7021   

#define    ECI_RINGING_TONE_GET                        7030

#define    ECI_RINGING_TONE_SET                        7031

#define    ECI_RINGING_TONE_STATUS                     7032

#define    ECI_RINGING_VOLUME_GET                      7040

#define    ECI_RINGING_VOLUME_SET                      7041

#define    ECI_RINGING_VOLUME_STATUS                   7042

#define    ECI_RINGING_OPTIONS_GET                     7050

#define    ECI_RINGING_OPTIONS_SET                     7051

#define    ECI_RINGING_OPTIONS_STATUS                  7052

#define    ECI_PROGRAM_R_TONE_GET                      7060   

#define    ECI_PROGRAM_R_TONE_SET                      7061   

#define    ECI_PROGRAM_R_TONE_STATUS                   7062   

#define    ECI_KEYPAD_TONE_VOLUME_GET                  7070

#define    ECI_KEYPAD_TONE_VOLUME_SET                  7071

#define    ECI_KEYPAD_TONE_VOL_STATUS                  7072

#define    ECI_WARNING_TONE_STATE_GET                  7080

#define    ECI_WARNING_TONE_STATE_SET                  7081

#define    ECI_WARN_TONE_STATE_STATUS                  7082

#define    ECI_MIC_MUTE_SET                            7091

#define    ECI_MIC_MUTE_STATUS                         7092

#define    ECI_SMS_PP_DATA_RECEIVED                    8001

#define    ECI_SMS_PP_RECEIVE_RESPONSE                 8011

#define    ECI_SMS_CB_DATA_RECEIVED                    8012

#define    ECI_SMS_STORAGE_AVAILABLE                   8020

#define    ECI_SMS_DATA_STORED                         8021

#define    ECI_SMS_DATA_SEND                           8101

#define    ECI_SMS_DATA_SEND_RESPONSE                  8102

#define    ECI_SMS_MEM_RU_STATUS_GET                   8201

#define    ECI_SMS_MEM_RU_STATUS_RESP                  8202

#define    ECI_SMS_MEM_AD_STATUS_GET                   8203

#define    ECI_SMS_MEM_AD_STATUS_RESP                  8204

#define    ECI_SMS_DATA_READ                           8301

#define    ECI_SMS_DATA_READ_STATUS                    8302

#define    ECI_SMS_DATA_WRITE                          8310

#define    ECI_SMS_DATA_WRITE_STATUS                   8311

#define    ECI_SMS_DATA_SHOW                           8312   

#define    ECI_SMS_DATA_SHOW_STATUS                    8313   

#define    ECI_SMS_DATA_SHOW_TERM                      8314   

#define    ECI_SMS_FREE_LOC_GET                        8320

#define    ECI_SMS_FREE_LOC_RESP                       8321

#define    ECI_SMS_DATA_REMOVE                         8330

#define    ECI_SMS_DATA_REMOVE_RESP                    8331

#define    ECI_DTMF_SEND                               10001  

#define    ECI_DTMF_SEND_GOING                         10002  

#define    ECI_DTMF_SEND_READY                         10003  

#define    ECI_DTMF_SEND_CLEAR                         10004  

#define    ECI_DTMF_SEND_TERMINATED                    10005  

#define    ECI_CHARGING_GET                            11001

#define    ECI_CHARGING_STATUS                         11002

#define    ECI_CHARGE_WARNING                          11003

#define    ECI_MODE_CHARGER_ON                         11005

#define    ECI_MODE_CHARGER_OFF                        11006

#define    ECI_CHARGE_LEVEL_GET                        11010

#define    ECI_CHARGE_LEVEL                            11011

#define    ECI_RF_LEVEL_GET                            11020

#define    ECI_RF_LEVEL                                11021

#define    ECI_CODE_CHECK_REQUEST                      12001

#define    ECI_CODE_CHECK_RESPONSE                     12002

#define    ECI_LOCK_CODE_REQUEST                       12020

#define    ECI_LOCK_CODE_RESPONSE                      12021

#define    ECI_LOCK_CODE_REQ_STATUS                    12022

#define    ECI_PIN_CODE_REQUEST                        12030

#define    ECI_PIN_CODE_RESPONSE                       12031

#define    ECI_PIN_CODE_REQ_STATUS                     12032

#define    ECI_PUK_CODE_REQUEST                        12040

#define    ECI_PUK_CODE_RESPONSE                       12041

#define    ECI_PUK_CODE_REQ_STATUS                     12042

#define    ECI_LOCK_STATE_GET                          12050

#define    ECI_LOCK_STATE_SET                          12051

#define    ECI_LOCK_STATE_STATUS                       12052

#define    ECI_PIN_CODE_STATE_GET                      12060

#define    ECI_PIN_CODE_STATE_SET                      12061

#define    ECI_PIN_CODE_STATE_STATUS                   12062

#define    ECI_CODE_SET                                12070

#define    ECI_CODE_SET_STATUS                         12071

#define    ECI_EMERGENCY_NUMBER_CHECK                  12080

#define    ECI_EMERGENCY_NUMBER_STATUS                 12081

#define    ECI_SIM_INFO_GET                            13001

#define    ECI_SIM_INFO_STATUS                         13002





typedef struct {

           byte device_type;

           byte cellular_system;

           TCHAR hw_version[100];

           TCHAR sw_version[100];

    } STR_ECI_VERSION_RESPONSE;



typedef struct {

           word function_id;

    } STR_ECI_FUNCTION_SUPPORT_GET;



typedef struct {

           word function_id;

           byte  wanted_state;

    } STR_ECI_FUNCTION_SUPPORT_SET;



typedef struct {

           word function_id;

           byte  support_state;

    } STR_ECI_FUNCTION_SUPPORT_STATUS;



typedef struct {

         byte call_mode;

         TCHAR number[100];

    } STR_ECI_CALL_CREATE;



typedef struct {

        byte status;

        byte call_id;

        byte call_mode;

        TCHAR number[100];

    } STR_ECI_CALL_CREATE_STATUS;



typedef struct {

         byte call_id;

         byte tone_type;

    } STR_ECI_CALL_REMOTE_ALERTING;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_REMOTE_ANSWERED;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_HOLD;



typedef struct {

          byte status;

          byte call_id;

    } STR_ECI_CALL_HOLD_STATUS;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_RETRIEVE_HELD;



typedef struct {

         byte status;

         byte call_id;

    } STR_ECI_CALL_RETR_HELD_STATUS;



typedef struct {

         byte call_id;

         TCHAR calling_party_number[100];

         byte call_mode;

         byte call_is_diverted;

    } STR_ECI_CALL_COMING;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_ANSWER;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_LOCALLY_ANSWERED;



typedef struct {

          byte call_id;

    } STR_ECI_CALL_RELEASE;



typedef struct {

          byte call_id;

          byte reason_type;

          byte reason;

    } STR_ECI_CALL_RELEASE_STATUS;



typedef struct {

          byte call_id;

          byte reason_type;

          byte reason;

    } STR_ECI_CALL_TERMINATE_STATUS;



typedef struct {

          byte held_call_id;

    } STR_ECI_CALL_SWAP;



typedef struct {

          byte status;

          byte act_call_id;

    } STR_ECI_CALL_SWAP_STATUS;



typedef struct {

         byte held_call_id;

    } STR_ECI_CALL_BUILD_CONFERENCE;



typedef struct {

         byte status;

         byte call_id;

    } STR_ECI_CALL_BUILD_CONF_STATUS;



typedef struct {

         byte call_id;

    } STR_ECI_CALL_SPLIT_CONFERENCE;



typedef struct {

         byte status;

         byte act_call_id;

    } STR_ECI_CALL_SPLIT_CONF_STATUS;



typedef struct {

          byte call_id;

          byte notification_type;

          byte cug_number;

    } STR_ECI_CALL_SS_NOTIFICATION;



typedef struct {

           byte status;

    } STR_ECI_SERV_STATUS;



typedef struct {

           byte status;

    } STR_ECI_ROAM_STATUS;



typedef struct {

          TCHAR number[100];

    } STR_ECI_MOVE_KEYPRESSES;



typedef struct {

         byte status;

    } STR_ECI_RU_POWER_STATUS;



typedef struct {

         byte  type;

         TCHAR  display_message[100];

    } STR_ECI_TEXT;



typedef struct {

         byte  status;

    } STR_ECI_TEXT_STATUS;



typedef struct {

         byte indicator;

         byte state;

    } STR_ECI_FIXED_INDICATOR_SET;



typedef struct {

         byte indicator;

         byte state;

    } STR_ECI_FIXED_INDICATOR_STATUS;



typedef struct {

         word power_off_time;

    } STR_ECI_AUTO_POWER_OFF_TIME_SET;



typedef struct {

         byte  status;

         word power_off_time;

    } STR_ECI_A_PO_OFF_TIME_STATUS;



typedef struct {

        byte state;

    } STR_ECI_ONE_TOUCH_DIAL_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_ONE_TOUCH_DIAL_STATUS;



typedef struct {

        byte language;

    } STR_ECI_LANGUAGE_SET;



typedef struct {

         byte status;

         byte language;

    } STR_ECI_LANGUAGE_STATUS;



typedef struct {

         byte ss_code;

         byte service_code;

         TCHAR number[100];

         word  time;

    } STR_ECI_SS_DIVERT;



typedef struct {

         byte type;

    } STR_ECI_SS_DIVERT_INQUIRY;



typedef struct {

          byte type;

         byte service;

    } STR_ECI_SS_DIVERT_DEACTIVE;



typedef struct {

          byte status;

          byte ss_code;

          byte service_code;

          TCHAR number[100];

          byte more;

    } STR_ECI_SS_DIVERT_STATUS;



typedef struct {

         word ss_code;

         byte service_code;

         TCHAR network_password[100];

    } STR_ECI_SS_ACTIVATE_BARRING;



typedef struct {

         word ss_code;

         byte basic_service_code;

         TCHAR network_password[100];

    } STR_ECI_SS_DEACTIVATE_BARRING;



typedef struct {

           word ss_code;

    } STR_ECI_SS_INTERROGATE_BARRING;



typedef struct {

          word status;

          word ss_code;

          word service_code;

          byte more;

    } STR_ECI_SS_BARRING_STATUS;



typedef struct {

          word network;

          word country_code;

    } STR_ECI_NETWORK_SET;



typedef struct {

          word  network;

          word  coutry_code;

          byte   reg_status;

    } STR_ECI_NETWORK_SET_STATUS;



typedef struct {

          byte  type;

    } STR_ECI_NETWORK_LIST_GET;



typedef struct {

           word network_id;

           word country_code;

           byte serv_status;

           byte reg_status;

           TCHAR network_name[100];

           TCHAR short_network_name[100];

           TCHAR country_initial[100];

           byte more;

    } STR_ECI_NETWORK_LIST;



typedef struct {

          byte mode;

    } STR_ECI_SET_NETWORK_SEL_MODE;



typedef struct {

          byte status;

          byte mode;

    } STR_ECI_NETWORK_SEL_MODE_STATUS;



typedef struct {

          byte service_code;

    } STR_ECI_SS_ACTIVATE_WAITING;



typedef struct {

           byte service_code;

    } STR_ECI_SS_DEACTIVATE_WAITING;



typedef struct {

          byte status;

         byte basic_service_code;

          byte more;

    } STR_ECI_SS_WAITING_STATUS;



typedef struct {

           byte  total_calls_hours;

           byte  total_calls_minutes;

           byte  total_calls_seconds;

           byte  total_roam_hours;

           byte  total_roam_minutes;

           byte  total_roam_seconds;

           byte  total_home_hours;

           byte  total_home_minutes;

           byte  total_home_seconds;

           byte  last_call_hours;

           byte  last_call_minutes;

           byte  last_call_seconds;

    } STR_ECI_CALL_TIMERS;



typedef struct {

           byte   call_id;

           byte  hours;

           byte  minutes;

           byte  seconds;

           byte  last;

    } STR_ECI_CURRENT_CALL_TIMER;



typedef struct {

           byte timer;

           TCHAR password[100];

    } STR_ECI_CLEAR_CALL_TIMER;



typedef struct {

           byte status;

           byte timer;

    } STR_ECI_CLEAR_CALL_TIMER_STATUS;



typedef struct {

          dword  total_limit;

          TCHAR   password[100];

    } STR_ECI_COST_LIMIT_SET;



typedef struct {

          byte status;

          dword  total_limit;

    } STR_ECI_COST_LIMIT_STATUS;



typedef struct {

          dword  charge_value_msb;

          dword  charge_value_lsb;

          TCHAR   charge_unit[100];

    } STR_ECI_COST_LAST_CALL_STATUS;



typedef struct {

          dword  charge_value_msb;

          dword  charge_value_lsb;

          TCHAR   charge_unit[100];

    } STR_ECI_COST_ALL_CALLS_RESPONSE;



typedef struct {

          byte  call_id;

          dword  charge_value_msb;

          dword  charge_value_lsb;

          TCHAR   charge_unit[100];

    } STR_ECI_COST_CURRENT_CALL;



typedef struct {

          byte service_request_id;

    } STR_ECI_SCM_ACTIVE_MEMORY_GET;



typedef struct {

          byte service_request_id;

          byte mem_type;

    } STR_ECI_SCM_ACTIVE_MEMORY_SET;



typedef struct {

          byte status;

          byte service_request_id;

          byte mem_type;

    } STR_ECI_SCM_ACTIVE_MEM_RESPONSE;



typedef struct {

          byte  service_request_id;

          byte  mem_type;

    } STR_ECI_SCM_INQUIRE_BUFF_LEN;



typedef struct {

          byte  service_request_id;

          byte  mem_type;

          byte  num_buf_len;

          byte  name_buf_len;

    } STR_ECI_SCM_INQUIRE_LEN_READY;



typedef struct {

          byte  service_request_id;

          byte  mem_type;

          word loc;

    } STR_ECI_SCM_READ_RECORD;



typedef struct {

          byte  status;

          byte  service_request_id;

          byte  mem_type;

          word loc;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_type;

    } STR_ECI_SCM_READ_RECORD_READY;



typedef struct {

           byte  service_request_id;

           byte  mem_type;

           word loc;

           TCHAR   number[100];

           TCHAR   name[100];

    } STR_ECI_SCM_WRITE_RECORD;



typedef struct {

         byte  status;

         byte  service_request_id;

         byte  mem_type;

         word loc;

         TCHAR   number[100];

         TCHAR   name[100];

    } STR_ECI_SCM_WRITE_RECORD_READY;



typedef struct {

          byte  service_request_id;

          byte  memory_type;

          TCHAR  number[100];

          TCHAR  name[100];

          word loc_nbr;

    } STR_ECI_SCM_NAME_SEARCH_NEXT;



typedef struct {

          byte  req_status;

          byte  service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NAME_NEXT_READY;



typedef struct {

          byte service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NAME_SEARCH_PREV;



typedef struct {

          byte  req_status;

          byte service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NAME_PREV_READY;



typedef struct {

          byte  service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NBR_SEARCH_NEXT;



typedef struct {

          byte  req_status;

          byte  service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NBR_NEXT_READY;



typedef struct {

          byte  service_request_id;

          byte  memory_type;

          TCHAR   number[100];

          TCHAR   name[100];

          word loc_nbr;

    } STR_ECI_SCM_NBR_SEARCH_PREV;



typedef struct {

          byte  req_status;

          byte  service_request_id;

          byte memory_type;

          TCHAR  number[100];

          TCHAR  name[100];

          byte loc_nbr;

    } STR_ECI_SCM_NBR_PREV_READY;



typedef struct {

           TCHAR   own_number[100];

    } STR_ECI_OWN_NUMBER_RESPONSE;



typedef struct {

           byte  tone_seq;

           byte  mode;

           word count;

           byte  volume_level;

    } STR_ECI_PLAY_FIXED_TONE;



typedef struct {

         word tone_freq;

         word duration;

         byte  volume_level;

    } STR_ECI_PLAY_TONE;



typedef struct {

         byte volume_level;

    } STR_ECI_AUDIO_EAR_VOLUME_SET;



typedef struct {

         byte status;

         byte volume_level;

         byte volume_level_count;

    } STR_ECI_AUDIO_EAR_VOLUME_STATUS;



typedef struct {

         byte state;

    } STR_ECI_EXTERNAL_AUDIO_PATH_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_EXTERNAL_AUDIO_PATH_STATUS;



typedef struct {

         byte ringing_tone;

    } STR_ECI_RINGING_TONE_SET;



typedef struct {

         byte status;

         byte selected_tone;

         byte tone_count;

    } STR_ECI_RINGING_TONE_STATUS;



typedef struct {

         byte ringing_volume;

    } STR_ECI_RINGING_VOLUME_SET;



typedef struct {

         byte status;

         byte volume;

         byte volume_level_count;

    } STR_ECI_RINGING_VOLUME_STATUS;



typedef struct {

         byte ringing_type;

    } STR_ECI_RINGING_OPTIONS_SET;



typedef struct {

         byte status;

         byte ringing_type;

    } STR_ECI_RINGING_OPTIONS_STATUS;



typedef struct {

         byte index;

    } STR_ECI_PROGRAM_R_TONE_GET;



typedef struct {

         byte  index;

         byte  tone_string[200];

    } STR_ECI_PROGRAM_R_TONE_SET;



typedef struct {

         byte  status;

         byte  index;

         byte  tone_string[200];

    } STR_ECI_PROGRAM_R_TONE_STATUS;



typedef struct {

         byte tone_volume;

    } STR_ECI_KEYPAD_TONE_VOLUME_SET;



typedef struct {

         byte status;

         byte volume_level;

         byte volume_level_count;

    } STR_ECI_KEYPAD_TONE_VOL_STATUS;



typedef struct {

         byte state;

    } STR_ECI_WARNING_TONE_STATE_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_WARN_TONE_STATE_STATUS;



typedef struct {

         byte state;

    } STR_ECI_MIC_MUTE_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_MIC_MUTE_STATUS;



typedef struct {

        byte msg_status;

        byte msg_ref;

        byte msg_params;

        byte address_format;

        byte address[22];

        byte sc_address[22];

        byte protocol_id;

        byte data_coding_scheme;

        byte time_stamp[7];

        byte user_data_length;

        byte user_data[160];

    } STR_ECI_SMS_PP_DATA_RECEIVED;



typedef struct {

        byte  status;

    } STR_ECI_SMS_PP_RECEIVE_RESPONSE;



typedef struct {

        byte sequence_number_msb;

        byte sequence_number_lsb;

        byte message_id_msb;

        byte message_id_lsb;

        byte data_coding_scheme;

        byte page;

        byte msg_data[93];

    } STR_ECI_SMS_CB_DATA_RECEIVED;



typedef struct {

       byte  mem_type;

       word location;

    } STR_ECI_SMS_DATA_STORED;



typedef struct {

        byte destination_addr[22];

        byte sc_address[22];

        byte validity_period[7];

        byte msg_ref;

        byte msg_params;

        byte protocol_id;

        byte data_coding_scheme;

        byte msg_data_length;

        byte msg_data[160];

    } STR_ECI_SMS_DATA_SEND;



typedef struct {

        byte status;

        byte msg_ref;

        byte cause_type;

    } STR_ECI_SMS_DATA_SEND_RESPONSE;



typedef struct {

        byte  mem_type;

    } STR_ECI_SMS_MEM_RU_STATUS_GET;



typedef struct {

        byte  status;

        byte  mem_type;

        word all_location_count;

        word empty_location_count;

        word used_location_count;

        word new_msg_count;

    } STR_ECI_SMS_MEM_RU_STATUS_RESP;



typedef struct {

       byte status;

    } STR_ECI_SMS_MEM_AD_STATUS_RESP;



typedef struct {

        byte  mem_type;

        word location;

    } STR_ECI_SMS_DATA_READ;



typedef struct {

        byte status;

        byte  mem_type;

        word location;

        byte  msg_status;

        byte  msg_ref;

        byte  msg_params;

        byte  address_format;

        byte  address[22];

        byte  sc_address[22];

        byte  protocol_id;

        byte  dcs;

        byte  time_stamp[7];

        byte  user_data_length;

        byte  user_data[160];

    } STR_ECI_SMS_DATA_READ_STATUS;



typedef struct {

        byte  mem_type;

        word location;

        byte  msg_status;

        byte  msg_ref;

        byte  msg_params;

        byte  address_format;

        byte  address[22];

        byte  sc_address[22];

        byte  protocol_id;

        byte  dcs;

        byte  time_stamp[7];

        byte  user_data_length;

        byte  user_data[160];

    } STR_ECI_SMS_DATA_WRITE;



typedef struct {

        byte  status;

        byte  mem_type;

        word location;

    } STR_ECI_SMS_DATA_WRITE_STATUS;



typedef struct {

        byte msg_status;

        byte msg_ref;

        byte msg_params;

        byte address_format;

        byte address[22];

        byte sc_address[22];

        byte protocol_id;

        byte data_coding_scheme;

        byte time_stamp[7];

        byte user_data_length;

        byte user_data[160];

        byte new_message_count;

        byte new_fax_count;

        byte new_email_count;

    } STR_ECI_SMS_DATA_SHOW;



typedef struct {

        byte show_status;

    } STR_ECI_SMS_DATA_SHOW_STATUS;



typedef struct {

       byte  mem_type;

    } STR_ECI_SMS_FREE_LOC_GET;



typedef struct {

       byte  status;

       byte  mem_type;

       word location;

    } STR_ECI_SMS_FREE_LOC_RESP;



typedef struct {

       byte  mem_type;

       word location;

    } STR_ECI_SMS_DATA_REMOVE;



typedef struct {

       byte  mem_type;

       word location;

       byte  status;

    } STR_ECI_SMS_DATA_REMOVE_RESP;



typedef struct {

         byte data_params_length;

         TCHAR data_params[100];

         byte fax_params_length;

         TCHAR fax_params[100];

    } STR_ECI_SET_DATA_TRANSFER_PARAM;



typedef struct {

        TCHAR dtmf_str[100];

        word duration;

        word gap_time;

    } STR_ECI_DTMF_SEND;



typedef struct {

         byte reason;

    } STR_ECI_DTMF_SEND_TERMINATED;



typedef struct {

        byte state;

    } STR_ECI_DTMF_SETTING_SET;



typedef struct {

        byte status;

        byte state;

    } STR_ECI_DTMF_SETTING_STATUS;



typedef struct {

        byte status;

    } STR_ECI_CHARGING_STATUS;



typedef struct {

           byte level;

    } STR_ECI_CHARGE_WARNING;



typedef struct {

         byte level;

    } STR_ECI_CHARGE_LEVEL;



typedef struct {

         byte level;

    } STR_ECI_RF_LEVEL;



typedef struct {

         byte code_type;

        TCHAR code[100];

    } STR_ECI_CODE_CHECK_REQUEST;



typedef struct {

         byte status;

         byte code_type;

    } STR_ECI_CODE_CHECK_RESPONSE;



typedef struct {

         TCHAR sec_code[100];

    } STR_ECI_SECURITY_CODE_RESPONSE;



typedef struct {

         byte status;

    } STR_ECI_SEC_CODE_REQ_STATUS;



typedef struct {

         TCHAR lock_code[100];

    } STR_ECI_LOCK_CODE_RESPONSE;



typedef struct {

         byte status;

    } STR_ECI_LOCK_CODE_REQ_STATUS;



typedef struct {

         TCHAR pin_code[100];

    } STR_ECI_PIN_CODE_RESPONSE;



typedef struct {

         byte status;

    } STR_ECI_PIN_CODE_REQ_STATUS;



typedef struct {

         TCHAR puk_code[100];

         TCHAR new_pin_code[100];

    } STR_ECI_PUK_CODE_RESPONSE;



typedef struct {

         byte status;

    } STR_ECI_PUK_CODE_REQ_STATUS;



typedef struct {

          byte state;

          TCHAR lock_code[100];

    } STR_ECI_LOCK_STATE_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_LOCK_STATE_STATUS;



typedef struct {

          byte state;

          TCHAR pin_code[100];

    } STR_ECI_PIN_CODE_STATE_SET;



typedef struct {

         byte status;

         byte state;

    } STR_ECI_PIN_CODE_STATE_STATUS;



typedef struct {

         byte code_type;

         TCHAR old_code[100];

         TCHAR new_code[100];

    } STR_ECI_CODE_SET;



typedef struct {

         byte status;

         byte code_type;

    } STR_ECI_CODE_SET_STATUS;



typedef struct {

         byte number[100];

    } STR_ECI_EMERGENCY_NUMBER_CHECK;



typedef struct {

         byte status;

         byte number[100];

    } STR_ECI_EMERGENCY_NUMBER_STATUS;



typedef struct {

         byte status;

         byte imsi_lis_index;

         TCHAR own_number[100];

         TCHAR mailbox_number[100];

         TCHAR welcome_message[100];

    } STR_ECI_SIM_INFO_STATUS;







#endif    ECI_OEM_H 



